Imports DevExpress.ExpressApp.Win
'... 
Public Class SISSplash
    Implements ISplash
    Private Shared form As SISSplashScreen
    Private _isStarted As Boolean
    Public Sub Start() Implements ISplash.Start
        _isStarted = True
        form = New SISSplashScreen
        form.Show()
        System.Windows.Forms.Application.DoEvents()
    End Sub
    Public Sub [Stop]() Implements ISplash.Stop
        If form IsNot Nothing Then
            form.Hide()
            form.Close()
            form = Nothing
        End If
        _isStarted = False
    End Sub
    Public Sub SetDisplayText(ByVal displayText As String) Implements ISplash.SetDisplayText
    End Sub
    Public ReadOnly Property IsStarted() As Boolean Implements ISplash.IsStarted
        Get
            Return _isStarted
        End Get
    End Property
End Class
